<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscRandomViewFromOptions</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscRandomViewFromOptions"><H1>PetscRandomViewFromOptions</H1></A>
This function visualizes the type and the seed of the generated random numbers based upon user options. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscsys.h" 
PetscErrorCode PETSC_DLLEXPORT PetscRandomViewFromOptions(PetscRandom rnd, char *title)
</PRE>
Collective on <A HREF="../Sys/PetscRandom.html#PetscRandom">PetscRandom</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<DT><B>rnd   </B> -The random number generator context
<br>
<DT><B>title </B> -The title
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../Sys/PetscRandom.html#PetscRandom">PetscRandom</A>, view, options, database
<BR>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscRandomSetFromOptions.html#PetscRandomSetFromOptions">PetscRandomSetFromOptions</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/utils/random/interface/random.c.html#PetscRandomViewFromOptions">src/sys/utils/random/interface/random.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
